FMOD(3) | Library Functions Manual | FMOD(3)

# NAME

`fmod`, `fmodf`, `fmodl` —
floating-point remainder function

# LIBRARY

Math Library (libm, -lm)

# SYNOPSIS

`#include <math.h>`

double
`fmod`(double x, double y);

float
`fmodf`(float x, float y);

long double
`fmodl`(long double x, long double y);

# DESCRIPTION

The `fmod`() function computes the floating-point remainder of x/ y.

# RETURN VALUES

The `fmod`(), `fmodf`(), and `fmodl`() functions return the value x- i*y, for some integer i such that, if y is non-zero, the result has the same sign as x and magnitude less than the magnitude of y. If y is zero, whether a domain error occurs or the `fmod`() function returns zero is implementation-defined.

# SEE ALSO

math(3)

# STANDARDS

The `fmod`() function conforms to ANSI X3.159-1989 (“ANSI C89”).

November 12, 2013 | NetBSD 9.5